Update user password
curl --request PUT \
--url https://api.extole.io/v2/users/update-password \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "password"
}
'import requests
url = "https://api.extole.io/v2/users/update-password"
payload = { "password": "password" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({password: 'password'})
};
fetch('https://api.extole.io/v2/users/update-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"first_name": "<string>",
"last_logged_in": "<string>",
"last_name": "<string>",
"locked": true,
"scopes": [
"CLIENT_ADMIN"
],
"user_id": "<string>"
}Users
Update user password
Updates the password for the authenticated staff user account.
Fields omitted from the body are left unchanged, except password, which the request schema marks required and which every request must send.
PUT
https://api.extole.io
/
v2
/
users
/
update-password
Update user password
Authorizations
HEADERQUERYCOOKIE
Body
application/json
Body of a PUT /v2/users/update-password request.
